Subject: Re: bug#44249: [PATCH] gnu: emacs: Make strip-double-wrap more robust

From: Morgan Smith <[email-masked]>
Date: Sat, 16 Jan 2021 17:03:55 -0500

Hi Ludo,

I think that's an elegant and wonderful idea. Assuming the first patch
in this thread still applies, I vote we just apply that one.

There has been some discussion in this thread on if the regex should
actually look for numbers or not (notably Nicolas and you). I could go
either way. I'm pretty sure the regex that's already there that matches
2 or more period separated numbers will always hold true, but feel free
to loosen up the regex a little if you feel otherwise.

Thanks,

Morgan

On 1/16/21 4:54 PM, Ludovic Courtès wrote:
> Hi,
> 
> Morgan Smith <[email-masked]> skribis:
> 
>> I've actually been sorta half working on this for a while now.
>>
>> The problem is exactly that the modules field is inherited. See each
>> build system includes its own module in the modules field. The various
>> emacsen are built with different build systems. So emacs is going to
>> need to import (guix build glib-or-gtk-build-system) and emacs-minimal
>> is going to want (guix build gnu-build-system). By setting the modules
>> to be the glib-or-gtk-build-system, we override the default modules in
>> each inherited package. This means building emacs-minimal would result
>> in this error:
>>
>> no code for module (guix build glib-or-gtk-build-system)
> 
> Ooh, my bad, I had completely overlooked this “detail”.
> 
> Then I guess the patch is fine though… in this case you could
> exceptionally ;-) write (car (find-files …)) so you don’t even need to
> both importing (ice-9 match).  That’d save quite a few lines of code.
> 
> WDYT?
> 
> Thanks!
> 
> Ludo’.
>